diff utils/docker-entrypoint.sh @ 90:63cb9be89a26 production v1.0.0

flow: Merged <release> 'v1.0.0' to <master> ('production').
author smith@nwoca.org
date Thu, 22 Sep 2016 01:49:20 +0100
parents b997ad087ac1
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/utils/docker-entrypoint.sh	Thu Sep 22 01:49:20 2016 +0100
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+
+if [ "$1" = 'update' ]; then
+  mkdir -p $SSDT_HOME
+  cd $SSDT_HOME
+  if [ ! -d ".hg" ]; then
+      echo "cloning repository $SSDT_DOCKER  to $SSDT_HOME"
+      hg init
+  fi
+  branch=${2:-production}
+  echo "pulling updates from $SSDT_DOCKER ($branch)"
+  hg pull -y $SSDT_DOCKER
+  hg revert -a
+  hg update $branch
+
+else
+
+  exec "$@"
+
+fi